Description

Hi,

1: In almost all the software out there, the "Shift" key is associated with multiple selection. In Qgis, it is also the case in the PrintComposer

and in the browser. Why then should I use the "Ctrl" key? Result: When working with multiple software, is often chosen the wrong key.

What can be frustrating not only in Qgis, but also in other software, because of the "bad habit" of the "Ctrl" key. Why not offer the choice of

two settings: The Qgis mode with the "Ctrl" key and normalized with the "Shift" key mode?

2: Currently, when you want to add items to a previous selection, the select tool deselects items already selected in selection. It would be

more convenient, with all modes of selection, except for the selection mode for single element, that additions to a selection does not

deselect the pre-selected items. Again, why not offer to the user the mode Qgis original selection mode and normalized selection mode

like in almost all software?

History

#1 - 2014-10-26 05:28 AM - Nathan Woodrow

- Assignee deleted (Nathan Woodrow)

#2 - 2016-05-30 07:45 PM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Fixed in 2.16

#3 - 2016-08-08 08:58 AM - Marc-André Saia

Good news.

Very good.  :)
